<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd" >
<mapper namespace="com.bw.adv.module.component.rule.mapper.ConditionsValueMapper" >
  <resultMap id="BaseResultMap" type="com.bw.adv.module.component.rule.model.ConditionsValue" >
    <id column="CONDITIONS_VALUE_ID" property="conditionsValueId" jdbcType="BIGINT" />
    <result column="CONDITIONS_ID" property="conditionsId" jdbcType="BIGINT" />
    <result column="ACTIVITY_INSTANCE_ID" property="activityInstanceId" jdbcType="BIGINT" />
    <result column="CONDITIONS_VALUES" property="conditionsValues" jdbcType="VARCHAR" />
    <result column="CN_COMMENTS" property="cnComments" jdbcType="VARCHAR" />
    <result column="EN_COMMENTS" property="enComments" jdbcType="VARCHAR" />
    <result column="FROM_TIME" property="fromTime" jdbcType="CHAR" />
    <result column="THRU_TIME" property="thruTime" jdbcType="CHAR" />
    <result column="IS_ACTIVE" property="isActive" jdbcType="CHAR" />
  </resultMap>
  <sql id="Base_Column_List" >
    CONDITIONS_VALUE_ID, CONDITIONS_ID, ACTIVITY_INSTANCE_ID, CONDITIONS_VALUES, CN_COMMENTS, 
    EN_COMMENTS, FROM_TIME, THRU_TIME, IS_ACTIVE
  </sql>
  <select id="selectByPrimaryKey" resultMap="BaseResultMap" parameterType="java.lang.Long" >
    select 
    <include refid="Base_Column_List" />
    from conditions_value
    where CONDITIONS_VALUE_ID = #{conditionsValueId,jdbcType=BIGINT}
  </select>
  <delete id="deleteByPrimaryKey" parameterType="java.lang.Long" >
    delete from conditions_value
    where CONDITIONS_VALUE_ID = #{conditionsValueId,jdbcType=BIGINT}
  </delete>
  <insert id="insert" parameterType="com.bw.adv.module.component.rule.model.ConditionsValue" >
    insert into conditions_value (CONDITIONS_VALUE_ID, CONDITIONS_ID, ACTIVITY_INSTANCE_ID, 
      CONDITIONS_VALUES, CN_COMMENTS, EN_COMMENTS, 
      FROM_TIME, THRU_TIME, IS_ACTIVE
      )
    values (#{conditionsValueId,jdbcType=BIGINT}, #{conditionsId,jdbcType=BIGINT}, #{activityInstanceId,jdbcType=BIGINT}, 
      #{conditionsValues,jdbcType=VARCHAR}, #{cnComments,jdbcType=VARCHAR}, #{enComments,jdbcType=VARCHAR}, 
      #{fromTime,jdbcType=CHAR}, #{thruTime,jdbcType=CHAR}, #{isActive,jdbcType=CHAR}
      )
  </insert>
  <insert id="insertSelective" parameterType="com.bw.adv.module.component.rule.model.ConditionsValue" >
    insert into conditions_value
    <trim prefix="(" suffix=")" suffixOverrides="," >
      <if test="conditionsValueId != null" >
        CONDITIONS_VALUE_ID,
      </if>
      <if test="conditionsId != null" >
        CONDITIONS_ID,
      </if>
      <if test="activityInstanceId != null" >
        ACTIVITY_INSTANCE_ID,
      </if>
      <if test="conditionsValues != null" >
        CONDITIONS_VALUES,
      </if>
      <if test="cnComments != null" >
        CN_COMMENTS,
      </if>
      <if test="enComments != null" >
        EN_COMMENTS,
      </if>
      <if test="fromTime != null" >
        FROM_TIME,
      </if>
      <if test="thruTime != null" >
        THRU_TIME,
      </if>
      <if test="isActive != null" >
        IS_ACTIVE,
      </if>
    </trim>
    <trim prefix="values (" suffix=")" suffixOverrides="," >
      <if test="conditionsValueId != null" >
        #{conditionsValueId,jdbcType=BIGINT},
      </if>
      <if test="conditionsId != null" >
        #{conditionsId,jdbcType=BIGINT},
      </if>
      <if test="activityInstanceId != null" >
        #{activityInstanceId,jdbcType=BIGINT},
      </if>
      <if test="conditionsValues != null" >
        #{conditionsValues,jdbcType=VARCHAR},
      </if>
      <if test="cnComments != null" >
        #{cnComments,jdbcType=VARCHAR},
      </if>
      <if test="enComments != null" >
        #{enComments,jdbcType=VARCHAR},
      </if>
      <if test="fromTime != null" >
        #{fromTime,jdbcType=CHAR},
      </if>
      <if test="thruTime != null" >
        #{thruTime,jdbcType=CHAR},
      </if>
      <if test="isActive != null" >
        #{isActive,jdbcType=CHAR},
      </if>
    </trim>
  </insert>
	<!-- 批量新增  -->
  <insert id="insertBatch" parameterType="java.util.List" >
    insert into conditions_value (
    	CONDITIONS_VALUE_ID, CONDITIONS_ID, ACTIVITY_INSTANCE_ID, CONDITIONS_VALUES, CN_COMMENTS, EN_COMMENTS, 
      	FROM_TIME, THRU_TIME, IS_ACTIVE
      )
    values
      <foreach collection="list" item="item" index="index"  
        separator=",">
         ( #{item.conditionsValueId,jdbcType=BIGINT}, #{item.conditionsId,jdbcType=BIGINT}, #{item.activityInstanceId,jdbcType=BIGINT}, 
      		#{item.conditionsValues,jdbcType=VARCHAR}, #{item.cnComments,jdbcType=VARCHAR}, #{item.enComments,jdbcType=VARCHAR}, 
      		#{item.fromTime,jdbcType=CHAR}, #{item.thruTime,jdbcType=CHAR}, #{item.isActive,jdbcType=CHAR}
      	 )
    </foreach>

  </insert>
  <delete id="removeByActivityInstanceId" parameterType="java.lang.Long">
  delete from conditions_value where  ACTIVITY_INSTANCE_ID = #{activityInstanceId,jdbcType=BIGINT}
  </delete>
  
  
  <update id="updateByPrimaryKeySelective" parameterType="com.bw.adv.module.component.rule.model.ConditionsValue" >
    update conditions_value
    <set >
      <if test="conditionsId != null" >
        CONDITIONS_ID = #{conditionsId,jdbcType=BIGINT},
      </if>
      <if test="activityInstanceId != null" >
        ACTIVITY_INSTANCE_ID = #{activityInstanceId,jdbcType=BIGINT},
      </if>
      <if test="conditionsValues != null" >
        CONDITIONS_VALUES = #{conditionsValues,jdbcType=VARCHAR},
      </if>
      <if test="cnComments != null" >
        CN_COMMENTS = #{cnComments,jdbcType=VARCHAR},
      </if>
      <if test="enComments != null" >
        EN_COMMENTS = #{enComments,jdbcType=VARCHAR},
      </if>
      <if test="fromTime != null" >
        FROM_TIME = #{fromTime,jdbcType=CHAR},
      </if>
      <if test="thruTime != null" >
        THRU_TIME = #{thruTime,jdbcType=CHAR},
      </if>
      <if test="isActive != null" >
        IS_ACTIVE = #{isActive,jdbcType=CHAR},
      </if>
    </set>
    where CONDITIONS_VALUE_ID = #{conditionsValueId,jdbcType=BIGINT}
  </update>
  <update id="updateByPrimaryKey" parameterType="com.bw.adv.module.component.rule.model.ConditionsValue" >
    update conditions_value
    set CONDITIONS_ID = #{conditionsId,jdbcType=BIGINT},
      ACTIVITY_INSTANCE_ID = #{activityInstanceId,jdbcType=BIGINT},
      CONDITIONS_VALUES = #{conditionsValues,jdbcType=VARCHAR},
      CN_COMMENTS = #{cnComments,jdbcType=VARCHAR},
      EN_COMMENTS = #{enComments,jdbcType=VARCHAR},
      FROM_TIME = #{fromTime,jdbcType=CHAR},
      THRU_TIME = #{thruTime,jdbcType=CHAR},
      IS_ACTIVE = #{isActive,jdbcType=CHAR}
    where CONDITIONS_VALUE_ID = #{conditionsValueId,jdbcType=BIGINT}
  </update>
</mapper>